Bug 1254291 - cant spin a workable ISO
cant spin a workable ISO
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Václav Pavlín
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2015-08-17 11:55 EDT by Richard Jasmin
Modified: 2015-11-18 14:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-18 14:17:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
multiple desktop kickstart -fails on selinux relabel (14.81 KB, text/plain)
2015-10-20 18:13 EDT, Richard Jasmin
no flags Details
multiple desktop kickstart -fails on ramdisk (15.01 KB, text/plain)
2015-10-20 18:13 EDT, Richard Jasmin
no flags Details
64-bit multiple desktop for myOS base spin(free) (15.02 KB, text/plain)
2015-10-20 18:14 EDT, Richard Jasmin
no flags Details
prep install script (760 bytes, text/plain)
2015-10-30 03:54 EDT, Richard Jasmin
no flags Details

  None (edit)
Description Richard Jasmin 2015-08-17 11:55:10 EDT
Description of problem:
Due to bug #1253566 and other issues nobody is able to spin above 21 and get a working ISO.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.respin fedora

Actual results:
Kernel for fc22 is in a broken state and 23 does not produce the correct initrd, or fails to produce one.The broken kernel gets pulled in when spinning 22 but this should not be happening. On 23, the "cd" is stuck in an endless reboot cycle.One is forced to be running the arch they build for for some reason.This should also not be a requirement.This info can be forced or set in the kickstart by hand instead of autoprobed.

Expected results:
should spin and boot ok
Comment 1 Richard Jasmin 2015-09-09 19:48:49 EDT
more info:

these issues were mostly taken care of but another nasty one has cropped up.
SELinux relabel FAILS above 21, thereby the spin fails.

You can clearly see the issue is with the label source file and some missing line mentioned during spin.Edit this file and the relabel wants to get to 100% but still fails on the same issue.Im guessing here that the file is pulled from within the chroot but you cant get there from here.The chroot is closed and unmounted on error.We need a way to leave it open for diagnostic reasons.
Comment 2 Richard Jasmin 2015-09-28 20:34:35 EDT
ok, the relabel now succeeds but the initrd still has issue. I am hoping in meanwhile I can respin 22 now that the kernel issue has been addressed.

Fail point is as follows: initrd0 not found during boot resulting in
kernel panic: unable to mount rootfs on unknown.

Its looking like the initrd was changed somehow with 23.Either something is broken during spin with it or something is wrong with the boot info structs somewhere.(assuming grub headers)
Comment 3 Richard Jasmin 2015-10-14 14:57:10 EDT
NOPE. again we hit the Relabel issue at 22 or above. UNABLE to SPIN. PERIOD. How can we spin on koji in the first place if this issue exists? Let alone RE-SPIN? Nevermind non-free. I cant spin a FREE distro. RPMFusion issues wont exist until 23 anyways, assuming there are any issues.


nothing extra except my security hacks and extra software(thrown in /opt). This issue should not exist.
Comment 4 Dennis Gilmore 2015-10-14 21:40:52 EDT
Can you please be clearer about what you are doing.  how you are building the iso's and what versions of the tools are you using?
Comment 5 Richard Jasmin 2015-10-16 11:54:19 EDT
The same way everyone else is:

sudo livecd-creator --cache=./cache --config=kickstart.ks --verbose

The configure script as it were, pulls the needed applications in for whatever is running, so its whatever is current for (22 at this time, and for i386).

Assuming that succeeded: i386 for 23.

Im also spinning x64 on 22 /23 in order to update the master non-free I have made.This needs to be done on a seperate install. 

23 is giving me holy hell (ramdisk) but 22 should spin.Made double sure I was pointing to the correct version area on the repo also.
Comment 6 Dennis Gilmore 2015-10-19 12:21:27 EDT
in fedora livecd-creator is always run in a chroot of the target operating system. It works just fine.  I think you are hitting issues due to something you are doing, It is not clear to me what that actually is. without significantly more data about what you are doing and what output you are getting there is nothing we can do to help you
Comment 7 Richard Jasmin 2015-10-20 18:12:47 EDT
Maybe your misunderstanding the process. That may have been valid for the old DVD, but not the live cd.As mush as I would love an installer version, Ill stick with the livecd for now.

"I dont know what is being asked for and the closer is incorrect. CHROOT is created on each spin, user is not left in the chroot.It is closed and unmounted on errors. SELinux relabel is failing and nobody is fixing the issue. I have done nothing to cause this.This issue has existed for weeks. ALSO: ramdisk for 23 is either not getting created or dereferenced at some point, resulting in non-bootable ISO even if spin completes. So the question remains, what is the koji secret?"

Seriously doubt its the kickstart, as they are multiple desktop additions of the base kickstart providing gnome3.gnome3 has been removed and replaced with mate, kde, and lxde.

You cannot fix the issue as-is.The process has to be modified in such a way that the CHROOT stays open on error.Then one must be able to resume the process.One cannot do that at this time.The error may in fact be correct and fixable, but you cannot get to the files mentioned. Modifying the files on the root volume of the host seems to have little effect on the matter, but in some cases does cause SELinux relabel to work to a point.
Comment 8 Richard Jasmin 2015-10-20 18:13 EDT
Created attachment 1084934 [details]
multiple desktop kickstart -fails on selinux relabel
Comment 9 Richard Jasmin 2015-10-20 18:13 EDT
Created attachment 1084936 [details]
multiple desktop kickstart -fails on ramdisk
Comment 10 Richard Jasmin 2015-10-20 18:14 EDT
Created attachment 1084937 [details]
64-bit multiple desktop for myOS base spin(free)
Comment 11 Richard Jasmin 2015-10-20 18:16:39 EDT
May have relation to https://bugzilla.redhat.com/show_bug.cgi?id=1168223
Comment 12 Dennis Gilmore 2015-10-21 09:47:48 EDT
There is still insufficient data. you have not provided versions of the tools you use, nor have you provided commands you are running or the output.
Comment 13 Richard Jasmin 2015-10-30 03:54 EDT
Created attachment 1087832 [details]
prep install script
Comment 14 Richard Jasmin 2015-10-30 04:02:30 EDT
I told you, its whatever gets installed(the most current version).Run the script. Thats what Im using. There is no magic to specify a version number.

Are you daft? check comment #5.
The error is that SELinux relabel FAILS. 

I cannot give you further info as the CHROOT closes itself and disappears.livecd-creator does not give an option to leave it open. koji may.

In the very odd case it succeeds(very rare) other issues crop up. As of last week: desktop file permissions are not set RW. Well, DUH! Its a RO media.You have to copy them into RAM for that to happen.I wouldnt have changed those %post sections as they are important as-is.

23 either fails to generate a INITRD or its mis linked somehow on the ISO, resulting in nothing but a looping boot menu as describe in comment #11.

End result is flat out failure to produce a workable spun ISO.
Comment 15 Richard Jasmin 2015-11-02 07:19:24 EST
in addition koji method is flawed somewhere in parse of url(for 23, possibly other builds also):

midori clearly identifies where the problem is.

"2015-11-02 06:11:42,999: Added 'lorax-mirrorlist-0': 


2015-11-02 06:11:42,999: Fetching metadata...
2015-11-02 06:11:44,414: Error fetching metadata for lorax-mirrorlist-0: Failed to synchronize cache for repo 'lorax-mirrorlist-0' from 'http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&arch=$basearch': Cannot prepare internal mirrorlist: No URLs in mirrorlist
error: unable to create the dnf base object


is supposed to automagically parse to:

in this instance but instead is parsed directly, resulting in error:

repo = fedora-$releasever arch = $basearch error: invalid repo or arch
# following repositories are available:

..and no mirrors listed. If the line was auto parsed correctly, you would get the mirrorlist.
Comment 16 Dennis Gilmore 2015-11-18 14:17:56 EST
I am sorry But calling me daft is extremely rude.

My job is making the Fedora releases, I know very well how it all works. I am going to close this as WONTFIX, I do not know what the issue is but you have failed to provide enough information to help you. given that you are being rude and borderline abusive I am not willing to help you any further.

Note You need to log in before you can comment on or make changes to this bug.